## org.apache.catalina.deploy
Class ContextEnvironment

    java.lang.Object
      |
      +--org.apache.catalina.deploy.ContextEnvironment

public final class ContextEnvironment
extends java.lang.Object

Representation of an application environment entry, as represented in an `<env-entry>` element in the deployment descriptor.

Version:
  $Revision: 1.5 $ $Date: 2001/09/09 00:48:11 $
Author:
  Craig R. McClanahan

Constructor Summary
`ContextEnvironment()`

Method Summary
`java.lang.String` `getDescription()`
`java.lang.String` `getName()`
`boolean` `getOverride()`
`java.lang.String` `getType()`
`java.lang.String` `getValue()`
`void` `setDescription(java.lang.String description)`
`void` `setName(java.lang.String name)`
`void` `setOverride(boolean override)`
`void` `setType(java.lang.String type)`
`void` `setValue(java.lang.String value)`
`java.lang.String` `toString()` Return a String representation of this object.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ContextEnvironment

    public ContextEnvironment()

Method Detail

### getDescription

    public java.lang.String getDescription()

### setDescription

    public void setDescription(java.lang.String description)

### getName

    public java.lang.String getName()

### setName

    public void setName(java.lang.String name)

### getOverride

    public boolean getOverride()

### setOverride

    public void setOverride(boolean override)

### getType

    public java.lang.String getType()

### setType

    public void setType(java.lang.String type)

### getValue

    public java.lang.String getValue()

### setValue

    public void setValue(java.lang.String value)

### toString

    public java.lang.String toString()

  Return a String representation of this object.

  Overrides:
    `toString` in class `java.lang.Object`

Copyright © 2000-2001 Apache Software Foundation. All Rights Reserved.